Q3 Pro 创建任务
POST
/ent/v2/text2videoVidu Q-视频模型
Authorizationstring*将 {your api key} 替换为您的 token
Token {your api key}modelstring*模型名称,可选值:viduq3-pro,支持音画同步,支持视频分镜,旗舰模型
viduq3-propromptstring*Authorizationstring*将 {your api key} 替换为您的 token
Token {your api key}idstring*idstring*任务id,由创建任务接口创建成功返回
Authorizationstring*将 {your api key} 替换为您的 token
Token {your api key}modelstring*模型名称,可选值:viduq3-turbo:支持音画同出,支持智能切镜,生成速度更快
viduq3-turbopromptstring*Authorizationstring*将 {your api key} 替换为您的 token
Token {your api key}idstring*idstring*任务id,由创建任务接口创建成功返回
durationinteger视频时长参数
51 - 16seedinteger随机种子,当默认不传或者传0时,会使用随机数替代,手动设置则使用设置的种子
0aspect_ratiostring输出视频比例
16:91:116:99:164:33:4resolutionstring输出视频的分辨率参数
720p540p720p1080paudioboolean是否使用音视频直出能力,枚举值为:
truetruefalsepayloadstringwatermarkbooleantruetruefalsewm_positioninteger31234wm_urlstring水印内容,此处为图片URL不传时,使用默认水印:内容由AI生成
meta_datastringcallback_urlstringdurationinteger输出视频的时长参数
51 - 16seedinteger随机种子当默认不传或者传0时,会使用随机数替代手动设置则使用设置的种子
0aspect_ratiostring输出视频比例
16:91:116:99:163:44:3resolutionstring输出视频的分辨率参数
720p540p720p1080paudioboolean是否使用音视频直出能力,默认为true,枚举值为:- false:不需要音视频直出,输出静音视频- true:需要音画同步,输出声音的视频(包括台词和音效)
payloadstringwatermarkbooleantruetruefalsewm_positioninteger31234wm_urlstring水印内容,此处为图片URL不传时,使用默认水印:内容由AI生成
meta_datastringcallback_urlstringapplication/json返回参数
idstring任务ID
statestringcreated 创建成功queueing 任务排队中processing 任务处理中application/json返回参数
idstring任务ID
statestringcreated 创建成功queueing 任务排队中processing 任务处理中application/json返回参数
task_idstringVidu 生成的任务ID
statestringcreated 创建成功queueing 任务排队中processing 任务处理中application/json返回参数
task_idstringVidu 生成的任务ID
statestringcreated 创建成功queueing 任务排队中processing 任务处理中success 任务成功failed 任务失败err_codestring错误码,具体见错误码表
creditsinteger该任务消耗的积分数量,单位:积分
payloadstring本次任务调用时传入的透传参数
off_peakboolean本次任务调用是否使用错峰模式
creationsarray生成物结果
idstring生成物id,用来标识不同的生成物
urlstring生成物URL, 24小时有效期
cover_urlstring生成物封面,24小时有效期
watermarked_urlstringsuccess 任务成功failed 任务失败err_codestring错误码,具体见错误码表
creditsinteger该任务消耗的积分数量,单位:积分
payloadstring本次任务调用时传入的透传参数
off_peakboolean本次任务调用是否使用错峰模式
creationsarray生成物结果
idstring生成物id,用来标识不同的生成物
urlstring生成物URL, 24小时有效期
cover_urlstring生成物封面,24小时有效期
watermarked_urlstringsuccess 任务成功failed 任务失败modelstring本次调用的模型名称
promptstring本次调用的提示词参数
durationinteger本次调用的视频时长参数
seedinteger本次调用的随机种子参数
aspect_ratiostring本次调用的 比例 参数
resolutionstring本次调用的分辨率参数
payloadstring本次调用时传入的透传参数
off_peakboolean本次调用时是否使用错峰模式
creditsinteger本次调用使用的积分数
watermarkboolean本次提交任务是否使用水印
created_atstring任务创建时间
success 任务成功failed 任务失败modelstring本次调用的模型名称
promptstring本次调用的提示词参数
durationinteger本次调用的视频时长参数
seedinteger本次调用的随机种子参数
aspect_ratiostring本次调用的 比例 参数
resolutionstring本次调用的分辨率参数
payloadstring本次调用时传入的透传参数
off_peakboolean本次调用时是否使用错峰模式
creditsinteger本次调用使用的积分数
watermarkboolean本次提交任务是否使用水印
created_atstring任务创建时间
带水印的生成物url,24小时有效期
带水印的生成物url,24小时有效期
curl --request POST \
--url 'https://api.vidu.cn/ent/v2/text2video' \
--header 'Authorization: Token {your api key}' \
--header 'Content-Type: application/json' \
--data '{
"model": "viduq3-pro",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": 0,
"aspect_ratio": "16:9",
"resolution": "720p",
"audio": true,
"payload": "string",
"off_peak": false,
"watermark": true,
"wm_position": 3,
"wm_url": "string",
"meta_data": "string",
"callback_url": "string"
}' {
"task_id": "your_task_id_here",
"state": "created",
"model": "viduq3-pro",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": random_number,
"aspect_ratio": "4:3",
"resolution": "540p",
"payload":"",
"credits": credits_number,
"created_at": "2025-01-01T15:41:31.968916Z"
}curl --request GET \
--url 'https://api.vidu.cn/ent/v2/tasks/{your_id}/creations' \
--header 'Authorization: Token {your api key}' \
--header 'Content-Type: application/json'{
"id":"your_task_id",
"state": "success",
"err_code": "",
"credits": 4,
"payload": "",
"creations": [
{
"id": "your_creations_id",
"url": "your_generated_results_url",
"cover_url": "your_generated_results_cover_url",
"watermarked_url": "your_generated_results_watermarked_url"
}
]
}curl --request POST \
--url 'https://api.vidu.cn/ent/v2/text2video' \
--header 'Authorization: Token {your api key}' \
--header 'Content-Type: application/json' \
--data '{
"model": "viduq3-turbo",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": 0,
"aspect_ratio": "16:9",
"resolution": "720p",
"audio": true,
"payload": "string",
"off_peak": false,
"watermark": true,
"wm_position": 3,
"wm_url": "string",
"meta_data": "string",
"callback_url": "string"
}' {
"task_id": "your_task_id_here",
"state": "created",
"model": "viduq3-turbo",
"prompt": "In an ultra-realistic fashion photography style featuring light blue and pale amber tones, an astronaut in a spacesuit walks through the fog. The background consists of enchanting white and golden lights, creating a minimalist still life and an impressive panoramic scene.",
"duration": 5,
"seed": random_number,
"aspect_ratio": "4:3",
"resolution": "540p"
"payload":"",
"credits": credits_number,
"created_at": "2025-01-01T15:41:31.968916Z"
}curl --request GET \
--url 'https://api.vidu.cn/ent/v2/tasks/{your_id}/creations' \
--header 'Authorization: Token {your api key}' \
--header 'Content-Type: application/json'{
"id":"your_task_id",
"state": "success",
"err_code": "",
"credits": 4,
"payload": "",
"creations": [
{
"id": "your_creations_id",
"url": "your_generated_results_url",
"cover_url": "your_generated_results_cover_url",
"watermarked_url": "your_generated_results_watermarked_url"
}
]
}